data(basal)
attach(basal)
x <- as.matrix(expr)
y <- as.numeric(status)-1
norm <- sqrt(diag(var(x[y == 1, ]) + var(x[y == 0, ])))
x <- scale(x, FALSE, norm)

group <- basal$group
cat("\nmight take a couple of minute...")
grplasso <- scoop(x, y, group, penalty="group",family="binomial")
coolasso <-  coop.lasso(x, y, group, family="binomial")
set.seed(47)
cvgrp <- crossval(grplasso, K=5)
cvcoo <- crossval(coolasso, K=5, folds=cvgrp$folds)

color  <- c(1,2,5,4,3,6,9,10,11,12)
symbol <- c(0,2,16,5,6,15,3,17,18,4)
cols <- rep(color, table(group))
pch  <- rep(symbol , table(group))

par(mfrow=c(2,2))
plot(grplasso, yvar="group", col=color, labels=names(gene2group))
plot(coolasso, yvar="group", col=color, labels=names(gene2group))
plot(cvgrp)
plot(cvcoo)

readline("Press for next plot")
layout(mat=matrix(1:3,ncol=3), width=c(2,2,1))
plot(cvgrp$beta.cv[-1], col=cols, pch=pch, xaxt="n",
     ylim=range(cvgrp$beta.cv[-1],cvcoo$beta.cv[-1]),lwd=2,
     xlab='probe sets',ylab="coefficients", main="group-Lasso")
abline(h=0, lty="dotted")
plot(cvcoo$beta.cv[-1], col=cols ,pch=pch, xaxt="n",
     ylim=range(cvgrp$beta.cv[-1],cvcoo$beta.cv[-1]),lwd=2,
     xlab='probe sets',ylab="coefficients", main="coop-Lasso")
abline(h=0, lty="dotted")
par(mar=c(5,0,4,0))
plot(rep(0,10), 1:10, xlim=c(-0.05, 1.05), pch=symbol, lwd=2, col=color,
     axes=FALSE,  ylab="", xlab="gene names (group)")
text(rep(.5,10), 1:10, labels=names(gene2group), cex=.75)

detach(basal)
